Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.io
Class LoggerBufferedReader

    java.lang.Object
      java.io.Reader
          java.io.BufferedReader
              org.apache.logging.log4j.io.LoggerBufferedReader

All Implemented Interfaces:
  Closeable, Readable

    public class LoggerBufferedReader

extends BufferedReader

Since:
  2.1

Field Summary

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`protected` | `LoggerBufferedReader(Reader reader, org.apache.logging.log4j.spi.ExtendedLogger logger, String fqcn, org.apache.logging.log4j.Level level, org.apache.logging.log4j.Marker marker)`
`protected` | `LoggerBufferedReader(Reader reader, int size, org.apache.logging.log4j.spi.ExtendedLogger logger, String fqcn, org.apache.logging.log4j.Level level, org.apache.logging.log4j.Marker marker)`

Method Summary
`void` | `close()`
`int` | `read()`
`int` | `read(char[] cbuf)`
`int` | `read(char[] cbuf, int off, int len)`
`int` | `read(CharBuffer target)`
`String` | `readLine()`

Methods inherited from class java.io.BufferedReader
`mark, markSupported, ready, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggerBufferedReader

    protected LoggerBufferedReader(Reader reader,
                                   org.apache.logging.log4j.spi.ExtendedLogger logger,
                                   String fqcn,
                                   org.apache.logging.log4j.Level level,
                                   org.apache.logging.log4j.Marker marker)

### LoggerBufferedReader

    protected LoggerBufferedReader(Reader reader,
                                   int size,
                                   org.apache.logging.log4j.spi.ExtendedLogger logger,
                                   String fqcn,
                                   org.apache.logging.log4j.Level level,
                                   org.apache.logging.log4j.Marker marker)

Method Detail

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `BufferedReader`
  Throws:
    `IOException`

### read

    public int read()
             throws IOException

  Overrides:
    `read` in class `BufferedReader`
  Throws:
    `IOException`

### read

    public int read(char[] cbuf)
             throws IOException

  Overrides:
    `read` in class `Reader`
  Throws:
    `IOException`

### read

    public int read(char[] cbuf,
                    int off,
                    int len)
             throws IOException

  Overrides:
    `read` in class `BufferedReader`
  Throws:
    `IOException`

### read

    public int read(CharBuffer target)
             throws IOException

  Specified by:
    `read` in interface `Readable`
  Overrides:
    `read` in class `Reader`
  Throws:
    `IOException`

### readLine

    public String readLine()
                    throws IOException

  Overrides:
    `readLine` in class `BufferedReader`
  Throws:
    `IOException`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.